## org.hibernate.sql.ordering.antlr
Class OrderByFragmentRenderer

    java.lang.Object
      antlr.TreeParser
          org.hibernate.sql.ordering.antlr.GeneratedOrderByFragmentRenderer
              org.hibernate.sql.ordering.antlr.OrderByFragmentRenderer

All Implemented Interfaces:
  GeneratedOrderByFragmentRendererTokenTypes

    public class OrderByFragmentRenderer

extends GeneratedOrderByFragmentRenderer

TODO : javadoc

Author:
  Steve Ebersole

Field Summary

Fields inherited from class org.hibernate.sql.ordering.antlr.GeneratedOrderByFragmentRenderer
`_tokenNames`

Fields inherited from class antlr.TreeParser
`_retTree, astFactory, ASTNULL, inputState, returnAST, tokenNames`

Fields inherited from interface org.hibernate.sql.ordering.antlr.GeneratedOrderByFragmentRendererTokenTypes
`ASCENDING, CLOSE_PAREN, COLLATE, COLUMN_REF, COMMA, DESCENDING, DOT, EOF, ESCqs, EXPONENT, EXPR_LIST, FLOAT_SUFFIX, HARD_QUOTE, HEX_DIGIT, ID_LETTER, ID_START_LETTER, IDENT, IDENT_LIST, LITERAL_ascending, LITERAL_descending, NULL_TREE_LOOKAHEAD, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OPEN_PAREN, ORDER_BY, ORDER_SPEC, QUOTED_STRING, SORT_KEY, SORT_SPEC, WS`

Constructor Summary
`OrderByFragmentRenderer()`

Method Summary
`protected void` `out(antlr.collections.AST ast)`
`void` `traceIn(String ruleName, antlr.collections.AST tree)`
`void` `traceOut(String ruleName, antlr.collections.AST tree)`

Methods inherited from class org.hibernate.sql.ordering.antlr.GeneratedOrderByFragmentRenderer
`collationSpecification, orderByFragment, orderingSpecification, out, sortKey, sortKeySpecification, sortSpecification`

Methods inherited from class antlr.TreeParser
`getAST, getASTFactory, getTokenName, getTokenNames, match, match, matchNot, panic, reportError, reportError, reportWarning, setASTFactory, setASTNodeClass, setASTNodeType, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderByFragmentRenderer

    public OrderByFragmentRenderer()

Method Detail

### out

    protected void out(antlr.collections.AST ast)

  Overrides:
    `out` in class `GeneratedOrderByFragmentRenderer`

### traceIn

    public void traceIn(String ruleName,
                        antlr.collections.AST tree)

  Overrides:
    `traceIn` in class `antlr.TreeParser`

### traceOut

    public void traceOut(String ruleName,
                         antlr.collections.AST tree)

  Overrides:
    `traceOut` in class `antlr.TreeParser`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.